Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ja.tokenattributes
Interface PartOfSpeechAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  PartOfSpeechAttributeImpl

    public interface PartOfSpeechAttribute

extends Attribute

Attribute for `Token.getPartOfSpeech()`.

Method Summary
`String` | `getPartOfSpeech()`
`void` | `setToken(Token token)`

Method Detail

### getPartOfSpeech

    String getPartOfSpeech()

### setToken

    void setToken(Token token)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD